/*
 * WHEN THIS SUB IS CALLED, THERE SHOULD BE A COMMA AND THEN AN MP3 IN THE SERIAL BUFFER
 * FUTURE FUNCTION - IT MIGHT BE BETTER TO PLAY THE MP3 FROM THE PC
 */

void PlayMP3() {

  String mp3ToPlay;

  if (Serial.available() < 6) {  //IT'S NOT AT LEAST A COMMA, A FILENAME, AND .MP3
    Serial.flush();
  } 
  else 
  {  //DO WE HAVE AN MP3 TO PLAY?
    if (Serial.read() != ',') {  //LOOKING FOR A COMMA
      Serial.flush();  
    } 
    else {
      while (Serial.available() > 0) {
        mp3ToPlay.concat(char(Serial.read()));  //READ BYTE AND CONCAT TO STRING
        delay(1); //1 MILLISECOND DELAY SO WE DON'T RUN OUT OF DATA BEFORE IT'S DONE BEING SENT
      }
    } 
  }
}


